'use strict';

var suite = require('../utils/suite.js');
var _new = require('./new.js');
var put = require('./put.js');
var get = require('./get.js');
var data = require('./data.js');
var links = require('./links.js');
var stat = require('./stat.js');
var index = require('./patch/index.js');

const tests = {
  new: _new.testNew,
  put: put.testPut,
  get: get.testGet,
  data: data.testData,
  links: links.testLinks,
  stat: stat.testStat,
  patch: index
};
var testObject = suite.createSuite(tests);

module.exports = testObject;
